Foreman - Feature #170

Create a usergroup implementation

03/03/2010 01:03 PM - Paul Kelly

Status: Closed

Priority: Normal

Assignee: Paul Kelly

Category: Web Interface

Target version: 0.1-5

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Create the MVC and testing infrastructure to support the usergroup concept.

Related issues:
Related to Foreman - Feature #139: per host authorization for making changes. Closed 12/18/2009
Precedes Foreman - Feature #73: add support for user groups Closed 03/04/2010 03/04/2010

Associated revisions

Revision 9¢c0e127b - 05/17/2010 07:03 AM - Paul Kelly

Fixes #170 - implement usergroups

Added migration

Added tests

Added MVC files

Added the routes as well

Added the program logic and additional views

Added RESTful actions for update and create

Added validations to ensure that usergroup.name and user.login do not collide
Added "recipients" method to users and usergroups. This returns a list of addresses.
Usergroupffrecipients will follow all nested usergroups avoiding any loops and
return only unique addresses

Fixes #73 - Add usergroup support to hosts
Fixes #244 - Remove ActiveScaffold from the usergroup pages

and finally - added owners to host edit page and other whitespaces and
mods by ohad

Revision 8b62e7f3 - 05/17/2010 08:24 AM - Ohad Levy

fixes typo in migration, refs #170

History

#1 - 03/03/2010 01:04 PM - Paul Kelly
- Status changed from New to Ready For Testing

This has been implemented in feature/73 on my github against the current edge. This includes the migration, MVC and tests. It is ready to be used by
any model that wishes to use usergroups.
It uses has_may_polymorphs and integrates with ActiveScaffold for error returns.

#2 - 03/03/2010 02:24 PM - Ohad Levy
the code looks great :)

Did you create a new feature because you didnt implement the host part?

can you switch the git submodule to .git?
please rebase to have one commit which closes the ticket ;)

thanks

#3 - 04/05/2010 02:17 PM - Ohad Levy

- Target version set to 0.1-5

#4 - 05/11/2010 02:14 PM - Paul Kelly

- Branch set to feature/170-usergroups

Rebased against develop.

#5 - 05/16/2010 04:08 PM - Ohad Levy
- File 170.patch added

Hi Paul,

I've started to work on some fixes to this, attached is my work in progress if you have time to continue...

#6 - 05/17/2010 06:51 AM - Ohad Levy
- File patch-squashed added

newer version of the patch

#7 - 05/17/2010 06:52 AM - Ohad Levy
- File deleted (patch-squashed)

#8 - 05/17/2010 06:52 AM - Ohad Levy
- File patch-squashed.diff added

Ohad Levy wrote:

newer version of the patch

added as diff so you can see it inline

#9 - 05/17/2010 07:08 AM - Paul Kelly
- % Done changed from 0 to 100

Applied in changeset 9c0e127b1d42b7243403dd49d739cf8e97baab0b.

#10 - 05/18/2010 03:27 AM - Ohad Levy
- Status changed from Ready For Testing to Closed

Files

170.patch 22.3 KB 05/16/2010 Ohad Levy

patch-squashed.diff 59.1 KB 05/17/2010 Ohad Levy
